package com.casic.dcms.model;

public class CommunityEnevlopBean {

    /**
     * community : 西路社区
     * centerPoint : {"lng":116.0497949886485,"lat":27.7523090448274}
     * enevlop : {"x_min":116.04140203446151,"y_min":27.753370580776277,"x_max":116.05680864304304,"y_max":27.753712385601723}
     */

    private String community;
    private CenterPointBean centerPoint;
    private EnevlopBean enevlop;

    public String getCommunity() {
        return community;
    }

    public void setCommunity(String community) {
        this.community = community;
    }

    public CenterPointBean getCenterPoint() {
        return centerPoint;
    }

    public void setCenterPoint(CenterPointBean centerPoint) {
        this.centerPoint = centerPoint;
    }

    public EnevlopBean getEnevlop() {
        return enevlop;
    }

    public void setEnevlop(EnevlopBean enevlop) {
        this.enevlop = enevlop;
    }

    public static class CenterPointBean {
        /**
         * lng : 116.0497949886485
         * lat : 27.7523090448274
         */

        private double lng;
        private double lat;

        public double getLng() {
            return lng;
        }

        public void setLng(double lng) {
            this.lng = lng;
        }

        public double getLat() {
            return lat;
        }

        public void setLat(double lat) {
            this.lat = lat;
        }
    }

    public static class EnevlopBean {
        /**
         * x_min : 116.04140203446151
         * y_min : 27.753370580776277
         * x_max : 116.05680864304304
         * y_max : 27.753712385601723
         */

        private double x_min;
        private double y_min;
        private double x_max;
        private double y_max;

        public double getX_min() {
            return x_min;
        }

        public void setX_min(double x_min) {
            this.x_min = x_min;
        }

        public double getY_min() {
            return y_min;
        }

        public void setY_min(double y_min) {
            this.y_min = y_min;
        }

        public double getX_max() {
            return x_max;
        }

        public void setX_max(double x_max) {
            this.x_max = x_max;
        }

        public double getY_max() {
            return y_max;
        }

        public void setY_max(double y_max) {
            this.y_max = y_max;
        }
    }
}
